Browse Source

C++11 is the standard to be used for all adapters (acc. to Volker)

JNI-88
heck 3 years ago
parent
commit
d07bef3cad
2 changed files with 3 additions and 3 deletions
  1. +2
    -2
      Makefile.conf
  2. +1
    -1
      android/jni/Android.mk

+ 2
- 2
Makefile.conf View File

@ -24,9 +24,9 @@ LDLIBS=-lstdc++ -lpEpEngine -lpEpAdapter
######### C++ #########
ifeq ($(BUILD_FOR),Linux)
CXX=g++ -std=c++14
CXX=g++ -std=c++11
else ifeq ($(BUILD_FOR),Darwin)
CXX=clang -std=c++14
CXX=clang -std=c++11
endif
ifeq ($(BUILD_FOR),Linux)


+ 1
- 1
android/jni/Android.mk View File

@ -45,7 +45,7 @@ LOCAL_MODULE := pEpJNI
LOCAL_SHARED_LIBRARIES := libnettle libhogweed libgmp
LOCAL_STATIC_LIBRARIES := pEpEngine libetpan libiconv libuuid pEpAdapter libsequoia_openpgp_ffi
LOCAL_CPP_FEATURES += exceptions
LOCAL_CPPFLAGS += -std=c++14 -DANDROID_STL=c++_shared -DHAVE_PTHREADS -DDISABLE_SYNC -fuse-ld=lld
LOCAL_CPPFLAGS += -std=c++11 -DANDROID_STL=c++_shared -DHAVE_PTHREADS -DDISABLE_SYNC -fuse-ld=lld
LOCAL_SRC_FILES := \
../../src/foundation_pEp_jniadapter_AbstractEngine.cc \
../../src/foundation_pEp_jniadapter_Engine.cc \


Loading…
Cancel
Save